/*
 *  @(#)ExponentialFogState.java 1.4 01/03/02 15:34:34
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io.state.javax.media.j3d;

import java.io.IOException;
import java.io.DataInput;
import java.io.DataOutput;
import javax.media.j3d.ExponentialFog;
import javax.media.j3d.SceneGraphObject;
import com.sun.j3d.demos.utils.scenegraph.io.retained.Controller;
import com.sun.j3d.demos.utils.scenegraph.io.retained.SymbolTableData;

/**
 * @author Paul Byrne
 * @version	1.4, 03/02/01
 */
public class ExponentialFogState extends FogState {

    public ExponentialFogState(SymbolTableData symbol,Controller control) {
        super( symbol, control );
    }
    
    public void writeObject( DataOutput out ) throws IOException {
        super.writeObject( out );
                
        out.writeFloat( ((ExponentialFog)node).getDensity() );
    }
    
    public void readObject( DataInput in ) throws IOException {
        super.readObject( in );
        
        ((ExponentialFog)node).setDensity( in.readFloat() );
    }
    
    protected javax.media.j3d.SceneGraphObject createNode() {
        return new ExponentialFog();
    }

    
}
