/*
 *  @(#)NodeComponentState.java 1.3 00/12/19 17:17:05
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io.state.javax.media.j3d;

import java.io.DataInput;
import java.io.IOException;
import com.sun.j3d.demos.utils.scenegraph.io.retained.Controller;
import com.sun.j3d.demos.utils.scenegraph.io.retained.SymbolTableData;
import javax.media.j3d.NodeComponent;
import javax.media.j3d.SceneGraphObject;

public abstract class NodeComponentState extends SceneGraphObjectState {
    
    public NodeComponentState( SymbolTableData symbol, Controller control ) {
        super(symbol, control);
    }
    
    public void readObject( DataInput in ) throws IOException {
        super.readObject( in );
        //control.getSymbolTable().registerNodeComponentSymbol( this.symbol );
    }
    
    /**
     * Called when this component reference count is incremented.
     * Allows this component to update the reference count of any components
     * that it references.
     */
    public void addSubReference() {
    }
    
}

