/*
 *  @(#)StripifyProcessor.java 1.2 00/12/19 17:24:48
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.traverser;

import javax.media.j3d.TriangleArray;
import javax.media.j3d.Shape3D;
import com.sun.j3d.utils.geometry.GeometryInfo;
import com.sun.j3d.utils.geometry.Stripifier;
import com.sun.j3d.demos.utils.geometry.GeometryInfoGenerator;

/**
 *
 * @author  paulby
 * @version 1.2, 12/19/00
 */
abstract class StripifyProcessor implements ProcessNodeInterface {
    
  /**
    * Called by TreeScan. node must be an instance of Shape3D
    */
  public void processNode(javax.media.j3d.Node node) {
    stripifyGeometry( (Shape3D)node );
  }
  
  public abstract void stripifyGeometry( javax.media.j3d.Shape3D shape );
    
}
