/*
 *  @(#)J3dFlyData.java 1.3 00/12/19 15:41:42
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */

package com.sun.j3d.demos.j3dfly;

import java.util.HashMap;
import java.io.Serializable;
import com.sun.j3d.demos.j3dfly.warp.WarpSet;

/**
 * Extra J3dFly data which is included in .j3f files
 *
 * @author Paul Byrne
 * @version	1.3, 12/19/00
 */
public class J3dFlyData extends java.lang.Object implements Serializable {

    private HashMap properties=null;
    
    /** Creates new J3dFlyData */
    public J3dFlyData() {
    }
    
    public void addProperty( String propertyName, Serializable object ) {
        if (properties==null)
            properties = new HashMap();
        
        properties.put( propertyName, object );
    }
    
    public Object getProperty( String propertyName ) {
        return properties.get( propertyName );
    }
    
}
