/*
 *  @(#)PerfBehaviorListener.java 1.2 00/12/19 15:44:55
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.behaviors;

/**
 * The Listener interface for PerfBehavior
 *
 * @author Paul Byrne
 * @version	1.2, 12/19/00
 */
public interface PerfBehaviorListener {
    
    /**
      * Called by PerfBehavior when new performance figures are available
      */
    public void updatePerformanceFigures( float framesPerSecond );

}
