/*
 *  @(#)WorkMonitor.java 1.3 00/12/19 16:49:25
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.gui;

/**
 *
 * @author  Paul Byrne
 * @version 1.3 12/19/00
 */
public interface WorkMonitor {

    /**
     * Display a note about the current activity
     */
    public void setNote( String note );
    
    /**
     * Indicate progress is being made
     *
     * -1 indicates action is complete
     */
    public void setProgress( int progress );
    
    /**
     * Set the maximum size of the progress.
     *
     * When maxProgress is reached the dialog will be close
     */
    public void setMaxProgress( int maxProgress );
}

