/*
 *  @(#)UnsupportedFormatException.java 1.2 00/12/19 16:52:40
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.loadercontrol;

/**
 * @author Paul Byrne
 * @version	1.2, 12/19/00
 *
 * Thrown if there is no loader available for a file format
 */
public class UnsupportedFormatException extends java.lang.Exception {

    /**
 * Creates new <code>UnsupportedFormat</code> without detail message.
     */
    public UnsupportedFormatException() {
    }


    /**
 * Constructs an <code>UnsupportedFormat</code> with the specified detail message.
     * @param msg the detail message.
     */
    public UnsupportedFormatException(String msg) {
        super(msg);
    }
}


