/*
 *  @(#)NamedObjectException.java 1.3 00/12/19 17:21:56
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io;

/**
 * An error has occurred while processing a named object
 *
 * @author Paul Byrne
 * @version	1.3, 12/19/00
 */
public class NamedObjectException extends java.lang.Exception {

    /**
 * Creates new <code>NoSuchNameException</code> without detail message.
     */
    public NamedObjectException() {
    }


    /**
 * Constructs an <code>NoSuchNameException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public NamedObjectException(String msg) {
        super(msg);
    }
}


