/*
 *  @(#)ObjectNotLoadedException.java 1.2 00/12/19 17:21:57
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io;

/**
 * The named object has not been loaded so it's instance can not be returned
 *
 * @author Paul Byrne
 * @version	1.2, 12/19/00
 */
public class ObjectNotLoadedException extends java.lang.Exception {

    /**
 * Creates new <code>ObjectNotLoadedException</code> without detail message.
     */
    public ObjectNotLoadedException() {
    }


    /**
 * Constructs an <code>ObjectNotLoadedException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public ObjectNotLoadedException(String msg) {
        super(msg);
    }
}


