/*
 *  @(#)UnsupportedUniverseException.java 1.3 00/12/19 17:22:06
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io;

/**
 * Thrown if the VirtualUniverse subclass is not supported
 * by the writeUniverse calls.
 *
 * Currently only com.sun.j3d.utils.universe.SimpleUniverse is supported
 *
 * @author  Paul Byrne
 * @version 1.3 12/19/00
 */
public class UnsupportedUniverseException extends java.lang.Exception {

    /**
 * Creates new <code>UnsupportedUniverseException</code> without detail message.
     */
    public UnsupportedUniverseException() {
    }


    /**
 * Constructs an <code>UnsupportedUniverseException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public UnsupportedUniverseException(String msg) {
        super(msg);
    }
}


