/*
 *  @(#)LineStripArrayState.java 1.5 01/03/02 15:34:16
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io.state.javax.media.j3d;

import javax.media.j3d.LineStripArray;
import javax.media.j3d.SceneGraphObject;
import com.sun.j3d.demos.utils.scenegraph.io.retained.Controller;
import com.sun.j3d.demos.utils.scenegraph.io.retained.SymbolTableData;

/**
 * @author Paul Byrne
 * @version	1.5, 03/02/01
 */
public class LineStripArrayState extends GeometryStripArrayState {

    public LineStripArrayState(SymbolTableData symbol,Controller control) {
        super( symbol, control );
    }
    
    public SceneGraphObject createNode( Class j3dClass ) {
        return createNode( j3dClass, new Class[] {
                                            Integer.TYPE,
                                            Integer.TYPE,
                                            Integer.TYPE,
                                            texCoordSetMap.getClass(),
                                            stripVertexCounts.getClass()
                                        }, 
                                        new Object[] { new Integer( vertexCount ),
                                                     new Integer( vertexFormat ),
                                                     new Integer( texCoordSetCount ),
                                                     texCoordSetMap,
                                                     stripVertexCounts } );
    }

    
    protected javax.media.j3d.SceneGraphObject createNode() {
        return new LineStripArray( vertexCount, vertexFormat, texCoordSetCount, texCoordSetMap, stripVertexCounts );
    }

}
