/*
 *  @(#)Texture2DState.java 1.6 01/03/02 15:34:28
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io.state.javax.media.j3d;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;
import com.sun.j3d.demos.utils.scenegraph.io.retained.Controller;
import com.sun.j3d.demos.utils.scenegraph.io.retained.SymbolTableData;
import javax.media.j3d.SceneGraphObject;
import javax.media.j3d.Texture2D;

public class Texture2DState extends TextureState {
    
    public Texture2DState( SymbolTableData symbol, Controller control ) {
        super(symbol, control);
    }
       
    public SceneGraphObject createNode( Class j3dClass ) {
        return (Texture2D)createNode( j3dClass, new Class[] { Integer.TYPE,
                                                    Integer.TYPE,
                                                    Integer.TYPE,
                                                    Integer.TYPE },
                                      new Object[] { new Integer( mipMapMode ),
                                                     new Integer( format ),
                                                     new Integer( width ),
                                                     new Integer( height ) } );
    }
    
    protected javax.media.j3d.SceneGraphObject createNode() {
        return new Texture2D( mipMapMode, format, width, height );
    }

    
}
