/*
 *  @(#)TriangleStripArrayState.java 1.7 01/03/02 15:34:32
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.scenegraph.io.state.javax.media.j3d;

import java.io.IOException;
import java.io.ByteArrayOutputStream;
import java.io.ByteArrayInputStream;
import java.io.DataInput;
import java.io.DataOutput;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import javax.media.j3d.TriangleStripArray;
import javax.media.j3d.SceneGraphObject;
import com.sun.j3d.demos.utils.scenegraph.io.retained.Controller;
import com.sun.j3d.demos.utils.scenegraph.io.retained.SymbolTableData;

/**
 * @author Paul Byrne
 * @version	1.7, 03/02/01
 */
public class TriangleStripArrayState extends GeometryStripArrayState {

    public TriangleStripArrayState( SymbolTableData symbol, Controller control ) {
        super( symbol, control );
    }
    
    public void writeObject( DataOutput out ) throws IOException {
        super.writeObject( out );
    }
    
    
    public void readObject( DataInput in ) throws IOException {
        super.readObject( in );
    }
    
    
    public SceneGraphObject createNode( Class j3dClass ) {
        return createNode( j3dClass, new Class[] {
                                            Integer.TYPE,
                                            Integer.TYPE,
                                            Integer.TYPE,
                                            texCoordSetMap.getClass(),
                                            stripVertexCounts.getClass()
                                        }, 
                                        new Object[] { new Integer( vertexCount ),
                                                     new Integer( vertexFormat ),
                                                     new Integer( texCoordSetCount ),
                                                     texCoordSetMap,
                                                     stripVertexCounts } );
    }
    
    protected javax.media.j3d.SceneGraphObject createNode() {
        return new TriangleStripArray( vertexCount, vertexFormat, texCoordSetCount, texCoordSetMap, stripVertexCounts );
    }


}
