/*
 *  @(#)SweptVolumeCollision.java 1.2 00/12/19 17:29:48
 *
 * Copyright (c) 2000-2001 Sun Microsystems, Inc. All Rights Reserved.
 */
package com.sun.j3d.demos.utils.vpbehaviors;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * Encapsulates all the collisions from one check
 *
 * @author Paul Byrne
 * @version	1.2, 12/19/00
 */
public class SweptVolumeCollision extends java.lang.Object {

    private ArrayList collisions;
    
    public SweptVolumeCollision() {
        collisions = new ArrayList(5);
    }
    
    protected void addRayCollision( RayCollision collision ) {
        collisions.add( collision );
    }
    
    /**
     * Returns an iterator over the set of RayCollisions
     */
    public Iterator getRayCollisions() {
        return collisions.iterator();
    }

}
